List upload parts
Lists the parts that have been uploaded for a multipart upload, including their ETags.
Authorization
OAuth2 upl:uploads:createAuthorizationBearer <token>
OAuth 2.0 authorization
In: header
Scope: upl:uploads:create
Header Parameters
Connect-Protocol-Version?number
Define the version of the Connect protocol
Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
bucketRef?&
Reference to the bucket
uploadRequestId?string
ID of the upload to list parts
Length
1 <= length <= 128[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.BucketUploadsService/RequestUploadListParts" \ -H "Connect-Protocol-Version: 1" \ -H "Connect-Timeout-Ms: 1000" \ -H "Content-Type: application/json" \ -d '{}'{
"parts": [
{
"partNumber": 0,
"sizeBytes": "string",
"etag": "string"
}
]
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}